---
names: 
  full: "Google Cloud SQL Instance SSL Connections are not enforced"
  contextual: "Instance SSL Connections are not enforced"
description: "It is recommended to enforce all incoming connections to SQL database instance to use SSL."
type: "COMPLIANCE_POLICY"
categories:
  - "SECURITY"
frameworkMappings:
  - "/frameworks/cis-gcp-v3.0.0/06/04"
  - "/frameworks/nist-sp-800-53-r4/sc/07"
  - "/frameworks/pci-dss-v3.2.1/04/01"
  - "/frameworks/iso-iec-27001-2013/13/02/01"
  - "/frameworks/iso-iec-27001-2013/14/01/03"
  - "/frameworks/iso-iec-27001-2013/08/02/03"
  - "/frameworks/cloudaware/resource-security/data-encryption"
similarPolicies:
  cloudConformity:
    - url: "https://www.trendmicro.com/cloudoneconformity-staging/knowledge-base/gcp/CloudSQL/enable-ssl-for-incoming-connections.html"
      name: "Enable SSL/TLS for Cloud SQL Incoming Connections"
